
Redmine - Defect #31893

Give me solution for this error.

2019-08-13 13:44 - Rishan Buddhacharya

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

[redmine@rishanserver redmine]$ nano config/database.yml

[redmine@rishanserver redmine]$ bundle install --without development test

[!] There was an error parsing `Gemfile`: (<unknown>): found character that cannot start any token while scanning for the next token

at line 34 column 1. Bundler cannot continue.

1. from /home/redmine/redmine/Gemfile:63

2. -------------------------------------------

3. if File.exist?(database_file)

>    database_config = YAML::load(ERB.new(IO.read(database_file)).result)

4. adapters = database_config.values.map {|c| c['adapter']}.compact.uniq

5. -------------------------------------------

[redmine@rishanserver redmine]$

History

#1 - 2019-08-14 01:33 - Go MAEDA

Please use forums for questions. Reading How to request help may be helpful for you.

#2 - 2019-08-14 01:34 - Go MAEDA

- Status changed from New to Closed

#3 - 2019-08-14 01:34 - Go MAEDA

- Resolution set to Invalid
